import { Observable } from "rxjs";
export declare function openmrsFetch<T = any>(url: string, fetchInit?: FetchConfig): Promise<FetchResponse<T>>;
export declare function openmrsObservableFetch<T>(url: string, fetchInit?: FetchConfig): Observable<FetchResponse<T>>;
export declare class OpenmrsFetchError extends Error {
    constructor(url: string, response: Response, responseBody: ResponseBody | null, requestStacktrace: Error);
    response: Response;
    responseBody: string | FetchResponseJson | null;
}
export interface FetchResponse<T = any> extends Response {
    data: T;
}
interface FetchConfig extends Omit<Omit<RequestInit, "body">, "headers"> {
    headers?: FetchHeaders;
    body?: FetchBody | string;
}
declare type ResponseBody = string | FetchResponseJson;
export interface FetchHeaders {
    [key: string]: string | null;
}
interface FetchBody {
    [key: string]: any;
}
interface FetchResponseJson {
    [key: string]: any;
}
export {};
